CVE-2016-8635

Published: 17 November 2016

It was found that Diffie Hellman Client key exchange handling in NSS 3.21.x was vulnerable to small subgroup confinement attack. An attacker could use this flaw to recover private keys by confining the client DH key to small subgroup of the desired group.

Priority

Medium

CVSS 3 base score: 5.9

Status

Package Release Status
nss
Launchpad, Ubuntu, Debian
Upstream
Released (3.25)
Ubuntu 16.04 LTS (Xenial Xerus)
Released (2:3.26.2-0ubuntu0.16.04.2)
Ubuntu 14.04 ESM (Trusty Tahr)
Released (2:3.26.2-0ubuntu0.14.04.3)
Patches:
Vendor: https://git.centos.org/blob/rpms!nss!/aada6b10b73091276397404059605d13e7548462/SOURCES!moz-1314604.patch
Upstream: https://hg.mozilla.org/projects/nss/rev/95bb47ef808b